Package ru.bitel.bgbilling.kernel.contract.selfcare.common.service

# Interface ContractLoginService

    public interface ContractLoginService

Сервис для ЛК.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `contractLoginEvent​(int contractId, MapHolder<java.lang.String,​java.lang.String> params)` | Вызов события логона абонента.
  `void` | `contractLoginLogAdd​(int contractId, boolean success, java.lang.String remoteAddress, java.lang.String sessionId, java.lang.String username, java.lang.String type, java.lang.String data)` | Добавление записи в журнал web-авторизаций абонента.

- ## Method Details

  - ### contractLoginLogAdd

    void contractLoginLogAdd​(int contractId, boolean success, java.lang.String remoteAddress, java.lang.String sessionId, java.lang.String username, java.lang.String type, java.lang.String data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException
    Добавление записи в журнал web-авторизаций абонента.
    Parameters:
      `contractId` - - ID договора
      `success` - - true, если аутентифицирован без ошибок; false, например, если ввел неправильный пароль
      `remoteAddress` - - удаленный адрес абонента
      `sessionId` - - ID HTTP-сессии
      `username` - - логин (например, номер договора)
      `data` - дополнительные данные, например, введенный пароль в виде строки "pswd = {0a1b2c344a1d}"
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`

  - ### contractLoginEvent

    void contractLoginEvent​(int contractId, MapHolder<java.lang.String,​java.lang.String> params) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException
    Вызов события логона абонента.
    Parameters:
      `contractId` -
      `params` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`